summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-03-19 20:28:16 +0000
committer Eric Hameleers <alien@slackware.com>2022-03-20 06:59:46 +0100
commit38ded33bfebd35489efedda054da4c8f1132f12f (patch)
tree50f7b5b731c59e076b9d3cc600ceba40473aa2a8 /source/l
parent7dcb1cf7fbd6f505d14e448c2bc2c7ebde6b59cc (diff)
downloadcurrent-38ded33bfebd35489efedda054da4c8f1132f12f.tar.gz
current-38ded33bfebd35489efedda054da4c8f1132f12f.tar.xz
Sat Mar 19 20:28:16 UTC 202220220319202816
a/glibc-zoneinfo-2022a-noarch-1.txz: Upgraded. a/kernel-firmware-20220318_681281e-noarch-1.txz: Upgraded. a/kernel-generic-5.16.16-x86_64-1.txz: Upgraded. a/kernel-huge-5.16.16-x86_64-1.txz: Upgraded. a/kernel-modules-5.16.16-x86_64-1.txz: Upgraded. ap/squashfs-tools-4.5.1-x86_64-1.txz: Upgraded. d/kernel-headers-5.16.16-x86-1.txz: Upgraded. k/kernel-source-5.16.16-noarch-1.txz: Upgraded. l/gmime-3.2.11-x86_64-1.txz: Upgraded. l/graphene-1.10.8-x86_64-1.txz: Upgraded. x/libepoxy-1.5.10-x86_64-1.txz: Upgraded. x/mesa-21.3.8-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/gmime/gmime.SlackBuild19
-rw-r--r--source/l/gmime/gmime.url1
2 files changed, 14 insertions, 6 deletions
diff --git a/source/l/gmime/gmime.SlackBuild b/source/l/gmime/gmime.SlackBuild
index f15771eb8..2429c3033 100755
--- a/source/l/gmime/gmime.SlackBuild
+++ b/source/l/gmime/gmime.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +23,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gmime
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -66,7 +66,7 @@ fi
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION
# Make sure ownerships and permissions are sane:
@@ -78,6 +78,13 @@ find . \
-exec chmod 644 {} \+
# Configure:
+if [ ! -r configure ]; then
+ if [ -x ./autogen.sh ]; then
+ NOCONFIGURE=1 ./autogen.sh
+ else
+ autoreconf -vif
+ fi
+fi
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
@@ -85,6 +92,7 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var/lib \
--sysconfdir=/etc \
--mandir=/usr/man \
+ --disable-gtk-doc \
--disable-static \
--program-prefix= \
--program-suffix= \
@@ -127,7 +135,7 @@ fi
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS COPYING INSTALL NEWS PORTING README TODO \
+ AUTHORS* COPYING* INSTALL* NEWS* PORTING* README* TODO* \
$PKG/usr/doc/${PKGNAM}-$VERSION
mkdir -p $PKG/install
@@ -135,4 +143,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
-
diff --git a/source/l/gmime/gmime.url b/source/l/gmime/gmime.url
new file mode 100644
index 000000000..49a2db83f
--- /dev/null
+++ b/source/l/gmime/gmime.url
@@ -0,0 +1 @@
+https://github.com/jstedfast/gmime